Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.filter
Class InfobitFilter

    java.lang.Object
      |
      +--com.infodesire.infobit.filter.InfobitFilter

All Implemented Interfaces:
  javax.servlet.Filter

public class InfobitFilter
extends java.lang.Object
implements javax.servlet.Filter

servett filter for web wnvironment. this filter takes care of flushing infobit pools and commiting transactions

Version:
  $Revision: 1.1 $
Author:
  konstantin

Field Summary
`static java.lang.String` | `POOL_NAME` name of infobit pool to be filtered

Constructor Summary
`InfobitFilter()`

Method Summary
`void` | `destroy()` destroy filter
`void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)` do filtering if not already done.
`javax.servlet.FilterConfig` | `getFilterConfig()` Deprecated. Not needed in latest version of Servlet 2.3 API
`void` | `init(javax.servlet.FilterConfig config)` initialize filter
`void` | `setFilterConfig(javax.servlet.FilterConfig filterConfig)` Deprecated. Not needed in latest version of Servlet 2.3 API - replaced by init().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POOL_NAME

    public static final java.lang.String POOL_NAME

  name of infobit pool to be filtered

  See Also:
    Constant Field Values

Constructor Detail

### InfobitFilter

    public InfobitFilter()

Method Detail

### getFilterConfig

    public javax.servlet.FilterConfig getFilterConfig()

  Deprecated. Not needed in latest version of Servlet 2.3 API

  Returns:
    The FilterConfig value

### setFilterConfig

    public void setFilterConfig(javax.servlet.FilterConfig filterConfig)

  Deprecated. Not needed in latest version of Servlet 2.3 API - replaced by init().

  Parameters:
    `filterConfig` - The new FilterConfig value

### init

    public void init(javax.servlet.FilterConfig config)

  initialize filter

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `config` - Description of Parameter

### destroy

    public void destroy()

  destroy filter

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest req,
                         javax.servlet.ServletResponse res,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  do filtering if not already done.

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Parameters:
    `req` - Description of Parameter
    `res` - Description of Parameter
    `chain` - Description of Parameter
  Throws:
    `java.io.IOException` - Description of Exception
    `javax.servlet.ServletException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.